Last Comment Bug 779003 - Css bug (pagination in direction rtl, only in Firefox 14)
: Css bug (pagination in direction rtl, only in Firefox 14)
Status: VERIFIED FIXED
: regression, rtl
Product: Core
Classification: Components
Component: Layout (show other bugs)
: 14 Branch
: x86_64 Windows 7
: -- normal (vote)
: mozilla17
Assigned To: Simon Montagu :smontagu
: Paul Silaghi, QA [:pauly]
Mentors:
Depends on: 793233
Blocks: 712600
  Show dependency treegraph
 
Reported: 2012-07-30 17:26 PDT by nl.student
Modified: 2012-09-27 14:41 PDT (History)
6 users (show)
smontagu: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
+
verified
+
verified
unaffected


Attachments
testcase (992 bytes, text/html)
2012-07-31 16:47 PDT, Alice0775 White
no flags Details
Don't create empty frames in SplitInlineAncestors (5.20 KB, patch)
2012-08-13 11:55 PDT, Simon Montagu :smontagu
roc: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Review

Description nl.student 2012-07-30 17:26:43 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20100101 Firefox/14.0.1
Build ID: 20120713134347

Steps to reproduce:

I update firfox to v 14

I have a probleem with pagination in firefox 14.
the probleem is only in firefox, but if i use firebug the pagination is good, but if i close firebug i get de same problem.
You kan watch de bug here in this site : http://www.allofan.com/openblog/#searchPaginationFooter

Sorry for my bad english
Greeting
Simo


Actual results:


I have a probleem with pagination in firefox 14.
the probleem is only in firefox, but if i use firebug the pagination is good, but if i close firebug i get de same problem.
You kan watch de bug here in this site : http://www.allofan.com/openblog/#searchPaginationFooter


Expected results:

You kan watch de bug here in this site : http://www.allofan.com/openblog/#searchPaginationFooter
Comment 1 Alice0775 White 2012-07-31 16:47:06 PDT
Created attachment 647764 [details]
testcase

Regression window(m-c)
Good:
http://hg.mozilla.org/mozilla-central/rev/9ff494dfc9b0
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120319 Firefox/14.0a1 ID:20120320012441
Bad:
http://hg.mozilla.org/mozilla-central/rev/ee554888d071
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120320 Firefox/14.0a1 ID:20120320034040
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=9ff494dfc9b0&tochange=ee554888d071

Regression window(m-i)
Good:
http://hg.mozilla.org/integration/mozilla-inbound/rev/b3e48b6d942b
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120319 Firefox/14.0a1 ID:20120319155237
Bad:
http://hg.mozilla.org/integration/mozilla-inbound/rev/fb2cb3d55cb4
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120319 Firefox/14.0a1 ID:20120319162341
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=b3e48b6d942b&tochange=fb2cb3d55cb4

Suspected: Bug 712600

And related to Bug 775687
Comment 2 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-01 17:00:53 PDT
Thank you for the suspected bugs, passing this to Simon to look into this regression and we'll track for release since this seems like a noticeable user pain issue.
Comment 3 Simon Montagu :smontagu 2012-08-13 11:55:02 PDT
Created attachment 651496 [details] [diff] [review]
Don't create empty frames in SplitInlineAncestors

The bug was caused by empty inline frames created in SplitInlineAncestors which messed up bidi reordering because (being empty) they didn't have any descendants with embedding level set.

The patch just moves the condition
 if (!frame || frame->GetNextSibling())
from bug 712600 so that the calls to CreateContinuingFrame and InsertFrames are also in the if {} block
Comment 5 Ed Morley [:emorley] 2012-08-14 05:59:27 PDT
https://hg.mozilla.org/mozilla-central/rev/d1306b8d3242
Comment 6 Simon Montagu :smontagu 2012-08-16 00:42:45 PDT
Comment on attachment 651496 [details] [diff] [review]
Don't create empty frames in SplitInlineAncestors

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 712600
User impact if declined: visible regression in ordering on many rtl sites (forums, blogs and similar) with multi-page ui like http://www.allofan.com/openblog/#searchPaginationFooter
Testing completed (on m-c, etc.): On m-c since 2012-08-14
Risk to taking this patch (and alternatives if risky): Minimal
String or UUID changes made by this patch: None
Comment 7 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-16 11:14:44 PDT
Comment on attachment 651496 [details] [diff] [review]
Don't create empty frames in SplitInlineAncestors

Would have been nice to have this earlier in the week to get it into beta 5, but it's enough of a user pain issue that I'll approve for beta even this late in the cycle.  Will add qawanted to make sure this is verified before 15 goes out the door.
Comment 9 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-08-16 14:02:07 PDT
Please use the *verifyme* keyword instead of *qawanted* to call out for QA verification, thanks.
Comment 10 Paul Silaghi, QA [:pauly] 2012-08-23 01:46:22 PDT
Able to see the pagination issue on FF15b5.
Verified fixed on FF 15b6:  Mozilla/5.0 (Windows NT 6.1; WOW64; rv:15.0) Gecko/20100101 Firefox/15.0
Comment 11 Paul Silaghi, QA [:pauly] 2012-09-19 23:45:40 PDT
Verified fixed on:
FF 16b4: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/20100101 Firefox/16.0 
FF 17.0a2 (2012-09-19): Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0

Note You need to log in before you can comment on or make changes to this bug.